// ClientJobUser: a ClientUser that translates info from "p4 fixes"
// into a QTreeJobBar.

class QTreeJobBar;

class ClientJobUser : public ClientUser  
{
public:
	ClientJobUser( Error* e, QTreeJobBar* mybar, int pos );
	virtual ~ClientJobUser();

	void OutputInfo( char, const_char *data );
	void HandleError( Error* err );
private:
	Error* myerr;
	QTreeJobBar* mybar;
	int mypos;
};
