#include <QGLWidget>

class HiveWindow : public QGLWidget
{
public:
    HiveWindow(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~HiveWindow();

protected:
	void initializeGL();
	void paintGL();
	void resizeGL( int w, int h );
	void timerEvent( QTimerEvent* e );

	void keyPressEvent(QKeyEvent*);

	int frametimer;
	int eventtimer;
};
