// clientgremlin.h: interface for the ClientGremlin class.
//
//////////////////////////////////////////////////////////////////////

class ClientGremlin : public ClientUser  
{
public:
	ClientGremlin( ClientApi* client, char* cmd = "info" );
	virtual ~ClientGremlin();

	void HandleError( Error* err );
	void InputData( StrBuf* strbuf, Error* e );
	virtual void OutputInfo( char level, const_char* data );
	void OutputText( const_char* data, int length) { return; } ;
	void Help( const_char* const * help ) { return; } ;
	void Prompt( const StrPtr&, StrBuf&, int, Error* ) { return; } ;
	void Run();

	ClientApi* client;
	char* cmd;
	StrBuf input;

	StrBuf arg1;
	StrBuf arg2;
	StrBuf arg3;
};
